KShellCompletion Class Reference

`#include <kshellcompletion.h>`

Inheritance diagram for KShellCompletion:

## Public Member Functions

| KShellCompletion ()
QString | makeCompletion (const QString &text)
Public Member Functions inherited from KURLCompletion
| KURLCompletion ()
| KURLCompletion (Mode)
virtual | ~KURLCompletion ()
virtual void | setDir (const QString &dir)
virtual QString | dir () const
virtual bool | isRunning () const
virtual void | stop ()
virtual Mode | mode () const
virtual void | setMode (Mode mode)
virtual bool | replaceEnv () const
virtual void | setReplaceEnv (bool replace)
virtual bool | replaceHome () const
virtual void | setReplaceHome (bool replace)
QString | replacedPath (const QString &text)

## Protected Member Functions

void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KURLCompletion
void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const
virtual void | customEvent (QCustomEvent *e)

## Additional Inherited Members

Public Types inherited from KURLCompletion
enum | Mode { ExeCompletion =1, FileCompletion, DirCompletion }
Static Public Member Functions inherited from KURLCompletion
static QString | replacedPath (const QString &text, bool replaceHome, bool replaceEnv=true)
Protected Slots inherited from KURLCompletion
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &)
void | slotIOFinished (KIO::Job *)

## Detailed Description

This class does shell-like completion of file names.

A string passed to makeCompletion() will be interpreted as a shell command line. Completion will be done on the last argument on the line. Returned matches consist of the first arguments (uncompleted) plus the completed last argument.

Shell-like completion of file names

Author
  David Smith dsmit.nosp@m.h@al.nosp@m.gonet.nosp@m..se

Definition at line 40 of file kshellcompletion.h.

## Constructor & Destructor Documentation

KShellCompletion::KShellCompletion | ( |  | ) |

Constructs a KShellCompletion object.

Definition at line 33 of file kshellcompletion.cpp.

## Member Function Documentation

QString KShellCompletion::makeCompletion | ( | const QString & | text | ) |

virtual

Finds completions to the given text.

The first match is returned and emitted in the signal match().

Parameters

  text | the text to complete

Returns
  the first match, or QString::null if not found

Reimplemented from KURLCompletion.

Definition at line 46 of file kshellcompletion.cpp.

The documentation for this class was generated from the following files:

- kshellcompletion.h
- kshellcompletion.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys